

The debug code in do_page_fault gets in the way of BUG handling, and triggers
in the boot-time buggy wp test probe.



 arch/i386/mm/fault.c |    8 --------
 1 files changed, 8 deletions(-)

diff -puN arch/i386/mm/fault.c~4g4g-do_page_fault-cleanup arch/i386/mm/fault.c
--- 25/arch/i386/mm/fault.c~4g4g-do_page_fault-cleanup	2003-08-03 02:09:23.000000000 -0700
+++ 25-akpm/arch/i386/mm/fault.c	2003-08-03 02:09:45.000000000 -0700
@@ -79,14 +79,6 @@ asmlinkage void do_page_fault(struct pt_
 
 	/* get the address */
 	__asm__("movl %%cr2,%0":"=r" (address));
-#ifdef CONFIG_X86_SWITCH_PAGETABLES
-	if (!user_mode(regs)) {
-		console_verbose();
-		printk("invalid kernel-mode pagefault %ld! [addr:%08lx, eip:%08lx]\n", error_code, address, regs->eip);
-		show_regs(regs);
-		BUG();
-	}
-#endif
 
 	/* It's safe to allow irq's after cr2 has been saved */
 	if (regs->eflags & X86_EFLAGS_IF)

_
